﻿Public Class fMain

    Private Sub cmdLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLoad.Click

        With AxImageBox2
            .LoadDialog()
            If .ImageLoaded Then
                DrawZoomRect()
            End If
        End With

        AxImageBox1.ReleaseBMPHandle = False
    End Sub

    Private Sub DrawZoomRect()

        Dim X1 As Long
        Dim X2 As Long
        Dim Y1 As Long
        Dim Y2 As Long

        With AxImageBox2
            X1 = .ScrollBarHorizPos / .Zoom * 100.0
            Y1 = .ScrollBarVertPos / .Zoom * 100.0
            X2 = X1 + (.Width + (16 * .HasScrollBarVert)) * 100 / .Zoom
            Y2 = Y1 + (.Height + (16 * .HasScrollBarHoriz)) * 100 / .Zoom
        End With

        With AxImageBox1
            .KeepScrollPos = True
            .BMPHandle = AxImageBox2.BMPHandle
            .BrushStyle = csXImageTrial.TxBrushStyle.bsClear
            .SelectRectangle(X1, Y1, X2, Y2)
            .SelectionVisible = False
            .UseSelection = True
            .Brightness(70, True, True, True)
            .Rectangle(X1, Y1, X2 + 1, Y2 + 1)
        End With

    End Sub

    Private Sub cmdZoomIn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdZoomIn.Click

        AxImageBox2.Zoom = AxImageBox2.Zoom * 1.1
        DrawZoomRect()

    End Sub

    Private Sub cmdZoomOut_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdZoomOut.Click

        AxImageBox2.Zoom = AxImageBox2.Zoom / 1.1
        DrawZoomRect()

    End Sub

    Private Sub AxImageBox2_OnScroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AxImageBox2.OnScroll

        DrawZoomRect()

    End Sub
End Class
